Bug 1891092 - CVE-2020-27674 xen: x86 PV guest INVLPG-like flushes may leave stale TLB entries (XSA-286) [fedora-all]
Summary: CVE-2020-27674 xen: x86 PV guest INVLPG-like flushes may leave stale TLB entr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xen
Version: 32
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
Assignee: Michael Young
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2020-27674
TreeView+ depends on / blocked
 
Reported: 2020-10-23 18:54 UTC by Guilherme de Almeida Suckevicz
Modified: 2020-11-20 01:28 UTC (History)
3 users (show)

Fixed In Version: xen-4.14.0-9.fc33 xen-4.13.2-1.fc32 xen-4.12.3-8.fc31
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-12 03:06:40 UTC
Type: ---


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2020-10-23 18:54:34 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Guilherme de Almeida Suckevicz 2020-10-23 18:54:36 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1891089,1891092

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2020-10-28 21:32:58 UTC
FEDORA-2020-7f2d2f9537 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-7f2d2f9537

Comment 3 Fedora Update System 2020-10-29 01:52:37 UTC
FEDORA-2020-7f2d2f9537 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-7f2d2f9537`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-7f2d2f9537

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2020-10-29 18:10:54 UTC
FEDORA-2020-ded2298c25 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-ded2298c25

Comment 5 Fedora Update System 2020-10-29 21:18:25 UTC
FEDORA-2020-42b44971a1 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-42b44971a1

Comment 6 Fedora Update System 2020-10-30 01:31:12 UTC
FEDORA-2020-ded2298c25 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-ded2298c25`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-ded2298c25

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-10-30 02:02:33 UTC
FEDORA-2020-42b44971a1 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-42b44971a1`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-42b44971a1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-11-04 02:46:27 UTC
FEDORA-2020-5398bfb466 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-5398bfb466`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-5398bfb466

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-11-04 03:02:00 UTC
FEDORA-2020-ec84c1565b has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-ec84c1565b`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-ec84c1565b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-11-05 02:13:09 UTC
FEDORA-2020-6dd36a716c has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-6dd36a716c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-6dd36a716c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-11-12 03:06:40 UTC
FEDORA-2020-ec84c1565b has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2020-11-12 03:15:42 UTC
FEDORA-2020-5398bfb466 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2020-11-20 01:28:51 UTC
FEDORA-2020-6dd36a716c has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.